Bug 1313394 - subclipse svn+ssh:// URLs don't work anymore?
subclipse svn+ssh:// URLs don't work anymore?
Product: Fedora
Classification: Fedora
Component: eclipse-subclipse (Show other bugs)
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-03-01 09:23 EST by lejeczek
Modified: 2017-02-28 04:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description lejeczek 2016-03-01 09:23:12 EST
Description of problem:

just cannot connect, the same box svn client command works fine, subclipse just stalls, I have to kill -9 java

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Mat Booth 2016-03-09 08:46:15 EST
Yep, I can reproduce this with the following steps:

$ su -
# mkdir -p /var/svn/repos
# svnadmin create /var/svn/repos/test
# chown -R :wheel /var/svn/repos
# chmod -R 775 /var/svn/repos
# svnserve -t --foreground --listen-host localhost -r /var/svn/repos

And then the following works:

$ svn co svn+ssh://mbooth@localhost/var/svn/repos/test

But Subclipse hangs, as described above. It appears to be stuck in the native portion of javahl:

"ModalContext" #72 prio=6 os_prio=0 tid=0x00007fe2b2584800 nid=0x463c runnable [0x00007fe1fe7a7000]
   java.lang.Thread.State: RUNNABLE
        at org.apache.subversion.javahl.SVNClient.info(Native Method)
        at org.apache.subversion.javahl.SVNClient.info2(SVNClient.java:797)
        at org.tigris.subversion.svnclientadapter.javahl.AbstractJhlClientAdapter.getInfo(AbstractJhlClientAdapter.java:2144)
        at org.tigris.subversion.svnclientadapter.AbstractClientAdapter.getInfo(AbstractClientAdapter.java:310)
        at org.tigris.subversion.subclipse.core.repo.SVNRepositoryLocation.validateConnection(SVNRepositoryLocation.java:325)
        at org.tigris.subversion.subclipse.ui.wizards.NewLocationWizard$1.run(NewLocationWizard.java:127)
        at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:119)
Comment 2 Mat Booth 2016-03-09 09:43:00 EST
So at some point, I guess that prompting for authentication credentials has been broken because I've found that if I start Eclipse from the terminal, it prompts me for my password:

[mbooth@thinkpad ~]$ eclipse 
CompilerOracle: exclude org/eclipse/core/internal/dtree/DataTreeNode.forwardDeltaWith
CompilerOracle: exclude org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding.<init>
CompilerOracle: exclude org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates.instantiateTemplate
CompilerOracle: exclude org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage.addBinding
CompilerOracle: exclude org/python/pydev/editor/codecompletion/revisited/PythonPathHelper.isValidSourceFile
CompilerOracle: exclude org/eclipse/tycho/core/osgitools/EquinoxResolver.newState
mbooth@localhost's password:

Then, if I enter my password on the terminal, Eclipse continues as normal.

I am able to work around the problem by using public key authentication. Lejeczek, can you confirm that this works for you also?
Comment 3 lejeczek 2016-03-10 16:02:29 EST
I wonder if it has something to do with the fact that user account does not exist on the remote system - this would happen because one committed a typo or even more commonly did not put itsme@ as part of URL and Eclipse filled in local session's username which does not exist on remote box.
If this is the problem then it's fundamental test case, which Eclipse/subversion should be able to handle .... or, there is no way a ssh client can know if that account exists on remote box and it's only the operator who deserves punishment?
Comment 4 lejeczek 2016-03-11 06:45:55 EST
I think I my want to cancel my last thought. It does not work even if the user exists on remote svn box, prompt does not pop up and yes keys get me in to the server. Yes, I see password prompt when start eclipse via command prompt.
Comment 5 Fedora End Of Life 2016-11-24 10:52:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-02-28 04:54:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.